---
title: Update a user group
slug: opti-id/api/update-a-user-group
docTags: 
createdAt: 2026-10-01T19:58:50.958Z
---

{
  "id": "Has9mbA2J4nyW_AAirTKO",
  "type": "api-oas-v2",
  "data": {
    "method": "PUT",
    "url": "https://usermgmt-api.optimizely.com/api/usergroups/{userGroupId}",
    "servers": [
      {
        "url": "https://usermgmt-api.optimizely.com/api/usergroups/{userGroupId}"
      }
    ],
    "name": "Update a user group",
    "description": "Updates the user group identified by the userGroupId.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "userGroupId",
          "type": "string",
          "description": "ID of the user group to update."
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "Update existing user group.",
          "customType": "updateUserGroupParams",
          "schema": [
            {
              "name": "name",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "groupOwner",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "description",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "properties",
              "kind": "optional",
              "type": "array",
              "description": "",
              "modelRef": "#/components/schemas/property",
              "customType": "property[]",
              "schema": [
                {
                  "name": "name",
                  "kind": "optional",
                  "type": "string",
                  "nullable": true,
                  "description": ""
                },
                {
                  "name": "value",
                  "kind": "optional",
                  "type": "string",
                  "nullable": true,
                  "description": ""
                }
              ]
            }
          ],
          "modelRef": "#/components/schemas/updateUserGroupParams",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "oidc_auth",
          "name": "oidc_auth",
          "kind": "optional",
          "type": "oauth2",
          "oauth2Flows": {
            "authorizationCode": {
              "authorizationUrl": "https://login.optimizely.com/oauth2/default/v1/authorize",
              "tokenUrl": "https://login.optimizely.com/oauth2/default/v1/token",
              "scopes": {
                "openid": "Identifies the request as an OpenID Connect request (required)",
                "profile": "Requests access to the end user's default profile claims",
                "email": "Requests access to the email and email_verified claims",
                "offline_access": "Requests a refresh token used to obtain more access tokens without re-prompting the user for authentication",
                "idx_instancepermissions": "Request Instance Permissions claim for use with Optimizely Products"
              }
            }
          },
          "requiredScopes": [
            "openid",
            "profile",
            "email",
            "offline_access",
            "idx_instancepermissions"
          ]
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "The user group response.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "userGroup",
            "schema": [
              {
                "name": "id",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "name",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "description",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "organizationId",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "groupOwner",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "userCount",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "",
                "format": "int32"
              },
              {
                "name": "groupType",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "",
                "default": 0,
                "format": "int32",
                "enum": [
                  "0",
                  "1",
                  "2"
                ]
              },
              {
                "name": "properties",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/property",
                "customType": "property[]",
                "schema": [
                  {
                    "name": "name",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": ""
                  },
                  {
                    "name": "value",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": ""
                  }
                ]
              },
              {
                "name": "instancePermissions",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/instancePermissionsDescriptor",
                "customType": "instancePermissionsDescriptor[]",
                "schema": [
                  {
                    "name": "instanceId",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "roles",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "modelRef": "#/components/schemas/roleDescriptor",
                    "customType": "roleDescriptor[]",
                    "schema": [
                      {
                        "name": "name",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "id",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "properties",
                        "kind": "optional",
                        "type": "array",
                        "description": "",
                        "modelRef": "#/components/schemas/property",
                        "customType": "property[]",
                        "schema": [
                          {
                            "name": "name",
                            "kind": "optional",
                            "type": "string",
                            "nullable": true,
                            "description": ""
                          },
                          {
                            "name": "value",
                            "kind": "optional",
                            "type": "string",
                            "nullable": true,
                            "description": ""
                          }
                        ]
                      },
                      {
                        "name": "attributes",
                        "kind": "optional",
                        "type": "array",
                        "description": "",
                        "modelRef": "#/components/schemas/attribute",
                        "customType": "attribute[]",
                        "schema": [
                          {
                            "name": "id",
                            "kind": "optional",
                            "type": "string",
                            "description": ""
                          },
                          {
                            "name": "key",
                            "kind": "optional",
                            "type": "string",
                            "description": ""
                          },
                          {
                            "name": "values",
                            "kind": "optional",
                            "type": "array",
                            "description": "",
                            "example": "",
                            "itemType": "string",
                            "customType": "string[]",
                            "itemExample": "",
                            "itemDefault": ""
                          },
                          {
                            "name": "instanceId",
                            "kind": "optional",
                            "type": "string",
                            "description": ""
                          },
                          {
                            "name": "type",
                            "kind": "optional",
                            "type": "string",
                            "description": ""
                          },
                          {
                            "name": "name",
                            "kind": "optional",
                            "type": "string",
                            "description": ""
                          },
                          {
                            "name": "description",
                            "kind": "optional",
                            "type": "string",
                            "description": ""
                          },
                          {
                            "name": "productId",
                            "kind": "optional",
                            "type": "string",
                            "description": ""
                          },
                          {
                            "name": "isActive",
                            "kind": "optional",
                            "type": "boolean",
                            "description": ""
                          },
                          {
                            "name": "created",
                            "kind": "optional",
                            "type": "string<date-time>",
                            "description": "",
                            "format": "date-time"
                          },
                          {
                            "name": "modified",
                            "kind": "optional",
                            "type": "string<date-time>",
                            "description": "",
                            "format": "date-time"
                          },
                          {
                            "name": "links",
                            "kind": "optional",
                            "type": "array",
                            "nullable": true,
                            "description": "",
                            "modelRef": "#/components/schemas/link",
                            "customType": "link[]",
                            "schema": [
                              {
                                "name": "rel",
                                "kind": "optional",
                                "type": "string",
                                "nullable": true,
                                "description": ""
                              },
                              {
                                "name": "href",
                                "kind": "optional",
                                "type": "string",
                                "nullable": true,
                                "description": ""
                              }
                            ]
                          }
                        ]
                      }
                    ]
                  }
                ]
              },
              {
                "name": "created",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "",
                "format": "date-time"
              },
              {
                "name": "modified",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "",
                "format": "date-time"
              },
              {
                "name": "links",
                "kind": "optional",
                "type": "array",
                "nullable": true,
                "description": "",
                "modelRef": "#/components/schemas/link",
                "customType": "link[]",
                "schema": [
                  {
                    "name": "rel",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": ""
                  },
                  {
                    "name": "href",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": ""
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/userGroup",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "The request was invalid or cannot be otherwise served. An accompanying error message will explain further.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "",
            "customType": "validationError[]",
            "schema": [
              {
                "name": "field",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": ""
              },
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": ""
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/validationError",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Unauthorized access to endpoint.",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "403",
        "description": "Forbidden access to endpoint.",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "500",
        "description": "<p>A server error occurred, please try again.</p>",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "9Do3pvNUa6efSR5JYsiJC",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request PUT \\\n     --url https://usermgmt-api.optimizely.com/api/usergroups/{userGroupId} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "PUvF-xOHawH4ljI3eHF8O",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'PUT',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://usermgmt-api.optimizely.com/api/usergroups/{userGroupId}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "86PHTvGrcirI-9s_1CNLR",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://usermgmt-api.optimizely.com/api/usergroups/{userGroupId}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Put.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "B6FrOnQQ2-0gIDZ8x7Car",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://usermgmt-api.optimizely.com/api/usergroups/{userGroupId}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"PUT\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "9Do3pvNUa6efSR5JYsiJC"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// The user group response.\n{\n  \"id\": \"\",\n  \"name\": \"\",\n  \"description\": \"\",\n  \"organizationId\": \"\",\n  \"groupOwner\": \"\",\n  \"userCount\": \"\",\n  \"groupType\": \"\",\n  \"properties\": [\n    {\n      \"name\": \"\",\n      \"value\": \"\"\n    }\n  ],\n  \"instancePermissions\": [\n    {\n      \"instanceId\": \"\",\n      \"roles\": [\n        {\n          \"name\": \"\",\n          \"id\": \"\",\n          \"properties\": [\n            {\n              \"name\": \"\",\n              \"value\": \"\"\n            }\n          ],\n          \"attributes\": [\n            {\n              \"id\": \"\",\n              \"key\": \"\",\n              \"values\": [\n                \"\"\n              ],\n              \"instanceId\": \"\",\n              \"type\": \"\",\n              \"name\": \"\",\n              \"description\": \"\",\n              \"productId\": \"\",\n              \"isActive\": false,\n              \"created\": \"\",\n              \"modified\": \"\",\n              \"links\": [\n                {\n                  \"rel\": \"\",\n                  \"href\": \"\"\n                }\n              ]\n            }\n          ]\n        }\n      ]\n    }\n  ],\n  \"created\": \"\",\n  \"modified\": \"\",\n  \"links\": [\n    {\n      \"rel\": \"\",\n      \"href\": \"\"\n    }\n  ]\n}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// The request was invalid or cannot be otherwise served. An accompanying error message will explain further.\n[\n  {\n    \"field\": \"\",\n    \"code\": \"\",\n    \"message\": \"\"\n  }\n]"
        },
        {
          "id": "response-2-401",
          "language": "401",
          "code": "// Unauthorized access to endpoint.\n"
        },
        {
          "id": "response-3-403",
          "language": "403",
          "code": "// Forbidden access to endpoint.\n"
        },
        {
          "id": "response-4-500",
          "language": "500",
          "code": "// A server error occurred, please try again.\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}